Describes an object of multiple content types. For example:
{
'application/json': {
schema: {...schemaObjectSpec}
},
'application/text': {
schema: {...schemaObjectSpec}
}
}
Describes a discriminator object, used in SchemaObject
| Name | Type | Description |
|---|---|---|
| mapping |
|
Describes a discriminator object, used in |
| propertyName |
string
|
Describes a discriminator object, used in |
Describes an encoding object, used in ParameterObject
Describes an encoding object, used in SchemaObject
Describes an example object, used in ParameterObject
| Name | Type | Description |
|---|---|---|
| description |
|
Describes an example object, used in |
| externalValue |
|
Describes an example object, used in |
| summary |
|
Describes an example object, used in |
| value |
ExtensionValue
|
Describes an example object, used in |
Describes an external document object, used in SchemaObject
| Name | Type | Description |
|---|---|---|
| description |
|
Describes an external document object, used in |
| url |
string
|
Describes an external document object, used in |
Describes a header object, used in EncodingPropertyObject
Lists the headers that can be sent as part of a response.
Allow key(string) value extension specifications. These value extensions cannot be used as constraints, but can be filtered for retrieval.
Maps names to a given type of values
Each Media Type Object provides schema and examples for the media type identified by its key. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#media-type-object
| Name | Type | Description |
|---|---|---|
| encoding |
EncodingObject
|
Each Media Type Object provides schema and examples for the media type identified by its key. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#media-type-object |
| example |
|
Each Media Type Object provides schema and examples for the media type identified by its key. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#media-type-object |
| examples |
|
Each Media Type Object provides schema and examples for the media type identified by its key. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#media-type-object |
| schema |
|
Each Media Type Object provides schema and examples for the media type identified by its key. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#media-type-object |
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification.
| Name | Type | Description |
|---|---|---|
| additionalProperties |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| allOf |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| anyOf |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| default |
ExtensionValue
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| deprecated |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| description |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| discriminator |
DiscriminatorObject
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| example |
ExtensionValue
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| examples |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| externalDocs |
ExternalDocumentationObject
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| format |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| items |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| not |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| nullable |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| oneOf |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| properties |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| readOnly |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| type |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| writeOnly |
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
| xml |
XMLObject
|
Part of OpenAPI Schema Object, The following properties are taken from the JSON Schema definition but their definitions were adjusted to the OpenAPI Specification. |
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object
| Name | Type | Description |
|---|---|---|
| allowEmptyValue |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| allowReserved |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| content |
ContentObject
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| deprecated |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| description |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| example |
ExtensionValue
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| examples |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| explode |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| in |
ParameterLocation
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| name |
string
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| required |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| schema |
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
| style |
ParameterStyle
|
Describes a single operation parameter. A unique parameter is defined by a combination of a name and location. Specification https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#parameter-object |
An object to hold parameters to be reused across operations. Parameter definitions can be referenced to the ones defined here.
This does not define global operation parameters.
Holds the relative paths to the individual endpoints. The path is appended to the basePath in order to construct the full URL. The Paths may be empty, due to ACL constraints. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/2.0.md#paths-object
| Name | Type | Description |
|---|---|---|
| $ref |
string
|
Describes a single request body. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#request-body-object
| Name | Type | Description |
|---|---|---|
| content |
ContentObject
|
Describes a single request body. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#request-body-object |
| description |
|
Describes a single request body. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#request-body-object |
| required |
|
Describes a single request body. Specification: https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#request-body-object |
An object to hold responses to be reused across operations. Response definitions can be referenced to the ones defined here.
This does not define global operation responses.
A container for the expected responses of an operation.
The container maps a HTTP response code to the expected response.
It is not expected from the documentation to necessarily cover all
possible HTTP response codes, since they may not be known in advance.
However, it is expected from the documentation to cover a successful
operation response and any known errors.
The default can be used as the default response object for all
HTTP codes that are not covered individually by the specification.
The ResponsesObject MUST contain at least one response code,
and it SHOULD be the response for a successful operation call.
Specification:
https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#responsesObject
The Schema Object allows the definition of input and output data types. the properties consist of two parts:
JSONTypeOAS3SchemaObjectSchemas Object in components
Lists the available scopes for an OAuth2 security scheme.
A declaration of the security schemes available to be used in the specification. This does not enforce the security schemes on the operations and only serves to provide the relevant details for each scheme.
Describes an XML object, used in SchemaObject
Create an empty OpenApiSpec object that's still a valid openapi document.
| Name | Type | Description |
|---|---|---|
| obj |
ExtensionValue
|
Type guard for OpenAPI 3.0.0 schema object
| Name | Type | Description |
|---|---|---|
| schema |
|
An OpenAPI 3.0.0 schema object |